<?php
require_once(__DIR__.'/MicropaymentOFBase.php');

class Shopware_Controllers_Frontend_MicropaymentOFPrepay extends Shopware_Controllers_Frontend_MicropaymentOFBase
{
  public function indexAction()
  {
    $req = $this->Request()->getParams();
    //mail('webmaster@web-dezign.de', __CLASS__.'->'.__FUNCTION__.'->$req', print_r($req,1));
    $config = $this->getCfg();
    //mail('webmaster@web-dezign.de', __CLASS__.'->'.__FUNCTION__.'->$config', print_r($config, 1));
    if (empty($config['payformid'])) {
      $config['payformid'] = 'confirm--form';
    }

    $form = '';
    $this->View()->assign('form', $form);
    $this->View()->assign('payformid', $config['payformid']);
  }

  /**
   * actualPaydataAction
   *
   * @throws \Exception
   */
  public function actualPaydataAction()
  {
    //$req = $this->Request()->getParams();
    $content = $this->getSnippet('McPayPrepayText', '...');
    $this->getCfg();
    $inf = $this->getInfos('prepay');
    $content.= $this->McPay->getPoweredBy(FALSE, $inf, 1);
    $this->view->assign('content', $content);
  }
}
