{extends file="parent:frontend/checkout/confirm.tpl"}

{block name="frontend_checkout_confirm_information_wrapper" append}
    {if strpos($sPayment.name, 'mcpayapi_') !== false}
        <div class="panel has--border">
            <div class="information--panel-item">

                {if $sPayment.name==='mcpayapi_sepa'}
                    <div class="panel--title payment--title">
                        {s name="McPaySepaTitle" namespace="frontend/checkout/confirm"}Micropayment API Lastschrift{/s}
                        <br>
                    </div>
                    <div class="panel--body is--wide payment--content">
                        {action module='frontend' controller='MicropaymentSepa' action='actualPaydata' payment=$sPayment.name pmid=$sPayment.id}
                    </div>
                {/if}

                {if $sPayment.name==='mcpayapi_ccard'}
                    <div class="panel--title payment--title">
                        {s name="McPayCCardTitle" namespace="frontend/checkout/confirm"}Micropayment API Kreditkarte{/s}
                        <br>
                    </div>
                    <div class="panel--body is--wide payment--content">
                        {action module='frontend' controller='MicropaymentCcard' action='actualPaydata' payment=$sPayment.name pmid=$sPayment.id}
                    </div>
                {/if}

                {if $sPayment.name==='mcpayapi_prepay'}
                    <div class="panel--title payment--title">
                        {s name="McPayPrepayTitle" namespace="frontend/checkout/confirm"}Micropayment API Vorkasse{/s}
                        <br>
                    </div>
                    <div class="panel--body is--wide payment--content">
                        <!--{s name="McPayPrepayText" namespace="frontend/checkout/confirm"}Sicher zahlen mit Micropayment{/s}-->
                        {action module='frontend' controller='MicropaymentPrepay' action='actualPaydata' payment=$sPayment.name pmid=$sPayment.id}
                    </div>
                {/if}

            </div>
        </div>
    {/if}

{/block}