# Shopware API Plugin

**Shopversion:** 
Shopware 5.3.x - 

**Also needed:** 

**Module Path:** 
/custom/plugins/MicropaymentOFApi

**Specials:** 
none

---

## ChangeLog

v1.0.0

* First version of plugin with paymethods: 
 - prepay
	 

## Merchant Setup


#### Project Setup
1. Setup project as usual.
2. Fill all fields and save the project.
3. After creation click again on new project row.
4. Copy and remember the project shortcut. (Kürzel)
5. We need this in the plugin later.

#### CreditCard API
#### Sepa API
#### PrePay API

1. Here we need the API URL
2. Mark the checkbox **Activate payment method for XXXX**
3. Please copy this URL to **API-URL** and click on **Save settings**.

   https://shopurl.de/root-of-shop/MicropaymentOFGateway/Response/?orderid=__$orderid__&sessID=__$sessID__&transactionId=__transactionId__
		
4. Click on **Save settings** and you are done.



#### Get Access Key
1. Click on **Setup** in the top navi and then click on **Accessskey**.
2. Copy this hash and remember it for the plugin later.
3. Setup is done so far.

---

## Installing and configure the plugin
1. Login into your Admin area.
2. Click on **Settings** and select **Plugin Manager**.
3. Click on **Upload Plugin** top left and choose the plugin.zip and click on **Upload Plugin Button** in the bottom right of the window.
4. When uploaded corretly the plugin should appear unter **uninstalled plugins** in the list.
5. Click on the **+ button** on the right and a new window opens.
6. Click on **activate** and enter credentials below.
7. Click on **save** on bottom right.
8. If not automatically done, goto **Settings** and select **Paymethods** and a new window opens.
9. Choose new **Micropayment API Paymethod** and mark **active** in the middle of the options.
10. Click on **save** on the bottom right.
11. Goto **Settings** and select **Cache / Performance** and select **Cache / Performance** in the submenu.
12. Another window opens. Goto Tab **Cache**
13. Click on **Select all** on bottom right and click on **clean** 
14. After that recompile the templates.
15. Your are done.

---

## Test Credentials
#### VISA
	Number: 4747474747474747 
	CVV: 666 (success) with 3D Secure
	or
	CVV: 555 (failure) Cent value is error code i.e. 534 => Error 34
	Date: something in future
	
#### MASTERCARD
	Number: 5105105105105100
	CVV: 666 (success) withouz 3D Secure
	or
	CVV: 555 (success) without 3D Secure
	Date: something in future

#### SEPA
	IBAN: DE89888888881234567890
	BIC: TESTDE00XXX
	Owner: Firstname Lastname

#### PREPAY
	Nothing special is needed.
	
## FAQ

	Q: ...
	A: ...